%if 0%{?rhel}
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           rtv
Version:        1.21.0
Release:        1%{?dist}
Summary:        A simple terminal viewer for Reddit (Reddit Terminal Viewer)

License:        MIT
URL:            https://github.com/michael-lazar/rtv
Source0:        https://github.com/michael-lazar/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Patch to remove the mailcap_fix dependency that should fix the mailcap python core lib, but
# Fedora already has the patch in the main mailcap library
Patch0:         00-rtv-1.21.0-mailcap_fix.patch
BuildArch:      noarch

%if %{with python3} 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest >= 3.1.0
BuildRequires:  python3-coverage
BuildRequires:  python3-mock
BuildRequires:  python3-pylint
BuildRequires:  python3-vcrpy
BuildRequires:  python3-coveralls
BuildRequires:  python3-yarl
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-decorator
BuildRequires:  python3-kitchen
BuildRequires:  python3-requests >= 2.4.0
BuildRequires:  python3-six
#BuildRequires:  python3-praw
Requires:       python3-beautifulsoup4
Requires:       python3-decorator
Requires:       python3-kitchen
Requires:       python3-requests >= 2.4.0
Requires:       python3-six
#Requires:       python3-praw
Provides: bundled(python3-praw) = 3.6.1
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pytest >= 3.1.0
BuildRequires:  python2-coverage
BuildRequires:  python2-mock
BuildRequires:  python2-pylint
BuildRequires:  python2-vcrpy
BuildRequires:  python2-coveralls
BuildRequires:  python3-yarl
BuildRequires:  python2-beautifulsoup4
BuildRequires:  python2-decorator
BuildRequires:  python2-kitchen
BuildRequires:  python2-requests >= 2.4.0
BuildRequires:  python2-six
#BuildRequires:  python2-praw
Requires:       python2-beautifulsoup4
Requires:       python2-decorator
Requires:       python2-kitchen
Requires:       python2-requests >= 2.4.0
Requires:       python2-six
#Requires:       python2-praw
Provides: bundled(python2-praw) = 3.6.1
%endif # python3

%if %{with python3}
%{?python_provide:%python_provide python3-%{name}}
%else
%{?python_provide:%python_provide python2-%{name}}
%endif # python3

%description
RTV provides an interface to view and interact with reddit from your terminal.
It's compatible with most terminal emulators on Linux and OS X.
RTV is built in python using the curses library.

%prep
%autosetup -p1 -n %{name}-%{version}
rm -rf %{name}.egg-info
# Remove embedded library. It automatically falls back to using the system one
# We need to get praw updated to a version > 5 first so it is compatible with fedora python-decorator
# rm -r rtv/packages/praw

%build
%if %{with python3}
%py3_build
%else
%py2_build
%endif # python3

%install
%if %{with python3}
%py3_install
%else
%py2_install
%endif # python3

%check
%if %{with python3}
%{__python3} -m pytest tests
%else
%{__python2} -m pytest tests
%endif # python3

%files
%doc README.md THEMES.md AUTHORS.rst CHANGELOG.rst CONTROLS.rst
%license LICENSE
%{_bindir}/rtv
%{_mandir}/man1/rtv.1.gz
%if %{with python3}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info
%else
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info
%endif # python3


%changelog
* Fri Feb 16 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.21.0-1
- Update version
- Run test suite
- Update BRs and Requires

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.14.1-1
- Update to 1.14.1
- Rebase patch

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.13.0-2
- Rebuild for Python 3.6

* Thu Oct 27 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.13.0-1
- Upgrade to 1.13.0

* Sun Oct 09 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.12.1-1
- Upgrade to 1.12.1

* Sun Aug 28 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.12.0-1
- Upgrade to 1.12.0

* Fri Aug 26 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.11.0-1
- Initial package
